MGASA-2020-0006 - Updated shadowsocks-libev packages fix security vulnerabilities

Publication date: 05 Jan 2020
URL: https://advisories.mageia.org/MGASA-2020-0006.html
Type: security
Affected Mageia releases: 7
CVE: CVE-2019-5163,
     CVE-2019-5164

Updated shadowsocks-libev packages fix security vulnerabilities:

Exploitable denial-of-service vulnerability exists in the UDPRelay
functionality (CVE-2019-5163).

Code execution vulnerability in the ss-manager binary (CVE-2019-5164).

References:
- https://bugs.mageia.org/show_bug.cgi?id=25864
- https://lists.opensuse.org/opensuse-updates/2019-12/msg00070.html
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5163
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-5164

SRPMS:
- 7/core/shadowsocks-libev-3.3.3-1.mga7